Summary: A CRT screen handling and optimization package.
Name: ncurses3
Version: 1.9.9e
Release: 9
Source: sunsite.unc.edu:/pub/Linux/libs/ncurses-1.9.9e.tar.gz
Patch0: ncurses-1.9.9e-nohome.patch
Patch1: ncurses-1.9.9e-shared.patch
Patch2: ncurses-1.9.9e-winsize.patch
Patch3: ncurses-1.9.9e-rh.patch
Patch4: ncurses-1.9.9e-share.patch
Patch5: ncurses-1.9.9e-setuid.patch
Patch6: ncurses-1.9.9e-winsz.patch
Copyright: distributable
Group: System Environment/Libraries
Buildroot: /var/tmp/ncurses3-root
Conflicts: slang < 0.99.38-4

%description
The curses library routines are a terminal-independent method of
updating character screens with reasonable optimization.  The
ncurses (new curses) library is a freely distributable replacement
for the discontinued 4.4BSD classic curses library.

%prep
%setup -q -n ncurses-1.9.9e
%patch0 -p1 -b .nohome
%patch1 -p1 -b .shared
# we need to always include <sys/ioctl.h> on glibc, or TIOCGWINSZ doesn't
# get defined
%patch2 -p1 -b .winsize
%patch3 -p1 -b .rh
#%patch4 -p1 -b .share
%patch5 -p1 -b .share
%patch6 -p1 -b .winsz

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS -DPURE_TERMINFO" ./configure --prefix=/usr \
	--with-normal --with-shared  --with-datadir=/usr/share/terminfo
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install \
	prefix=$RPM_BUILD_ROOT/usr \
	includedir=$RPM_BUILD_ROOT/usr/include/ncurses \
	datadir=$RPM_BUILD_ROOT/usr/share/terminfo

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/lib/lib*.so.*

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Thu Aug 13 1998 Cristian Gafton <gafton@redhat.com>
- remove testing for TIOCGWINSZ on console; we know we are okay (this used
  to break ncurses when run through the build system)

* Wed Jul 01 1998 Alan Cox <alan@redhat.com>
- open TERMINFO/TERMCAP files as real user if setuid

* Tue May 05 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- conflicts with older versions of slang

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- don't use the share patch for now; it's broken

* Mon Apr 20 1998 Cristian Gafton <gafton@redhat.com>
- package renamed to ncurses3 and we keep only the runtime libs

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- version 7 didn't rebuild properly on the Alpha somehow -- no real changes
  are in this version

* Tue Dec 09 1997 Erik Troan <ewt@redhat.com>
- TIOCGWINSZ wasn't used properly

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc, linked shared libs against -lc

